<?php
if(isset($_SESSION['adm']['nome_usuario']))
	$nome_usuario = $_SESSION['adm']['nome_usuario'];	
if(isset($_SESSION['adm']['senha_usuario']))
	$senha_usuario = $_SESSION['adm']['senha_usuario'];
if(isset($_SESSION['adm']['chave']))
	$key = $_SESSION['adm']['chave'];


	
if(!(empty($nome_usuario) OR empty($senha_usuario))) {
	

	$resultado = mysql_query("SELECT * FROM usuarios WHERE username='$nome_usuario'");
	$linha = mysql_fetch_object($resultado);
	
	
	if($key == $linha->chavelog){
	
	
		if(mysql_num_rows($resultado)==1){
			
			if($senha_usuario != mysql_result($resultado, 0, "senha")) {
				
				unset ($_SESSION['adm']['nome_usuario']);
				unset ($_SESSION['adm']['senha_usuario']);
				unset ($_SESSION['adm']['chave']);
				//header("location: ".sti('adm')."login.php?log=4");

			} else {

				header("location: ".sti('adm')."home/index.php");

            }			

		}else{
			unset ($_SESSION['adm']['nome_usuario']);
			unset ($_SESSION['adm']['senha_usuario']);
			unset ($_SESSION['adm']['chave']);
			//header("location: ".sti('adm')."login.php?log=4");
		}	
		
			
		
	} else {
	
		unset ($_SESSION['adm']['nome_usuario']);
		unset ($_SESSION['adm']['senha_usuario']);
		unset ($_SESSION['adm']['chave']);
		//header("location: ".sti('adm')."login.php?log=4");

	
	}
	
	
}else {
	
	unset ($_SESSION['adm']['nome_usuario']);
	unset ($_SESSION['adm']['senha_usuario']);
	unset ($_SESSION['adm']['chave']);
	//header("location: ".sti('adm')."login.php?log=4");

	
}  
